"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

CharacterEncoder subclass:#VariableBytesEncoder
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

!VariableBytesEncoder class methodsFor:'documentation'!

documentation
"
    Abstract superclass of all classes which encode characters to a variable number of bytes.

    [author:]
        Stefan Vogel
"
! !

!VariableBytesEncoder class methodsFor:'queries'!

isAbstract
    "Return if this class is an abstract class.
     True is returned for CharacterEncoder here; false for subclasses.
     Abstract subclasses must redefine this again."

    ^ self == CharacterEncoderImplementations::VariableBytesEncoder

    "Created: / 17-01-2018 / 17:08:36 / stefan"
! !

!VariableBytesEncoder class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
! !

